| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLESLinkProgram Class Reference

C++ encapsulation of GLSL ES Program Object. More...

`#include <OgreGLSLESLinkProgram.h>`

Inheritance diagram for Ogre::GLSLESLinkProgram:
[legend]

## Public Member Functions
| GLSLESLinkProgram (GLSLESProgram *vertexProgram, GLSLESProgram *fragmentProgram)
| Constructor should only be used by GLSLESLinkProgramManager. More...
virtual | ~GLSLESLinkProgram (void)
void | activate (void)
| Makes a program object active by making sure it is linked and then putting it in use. More...
void | bindFixedAttributes (GLuint program)
GLSLESProgram * | getFragmentProgram (void) const
GLSLESProgram * | getVertexProgram (void) const
virtual void | updatePassIterationUniforms (GpuProgramParametersSharedPtr params)
| Updates program object uniforms using data from pass iteration GpuProgramParameters. More...
virtual void | updateUniformBlocks (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
| Updates program object uniform blocks using data from GpuProgramParameters. More...
virtual void | updateUniforms (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
| Updates program object uniforms using data from GpuProgramParameters. More...

## Detailed Description

C++ encapsulation of GLSL ES Program Object.

## Constructor & Destructor Documentation

## ◆ GLSLESLinkProgram()

Ogre::GLSLESLinkProgram::GLSLESLinkProgram | ( | GLSLESProgram * | vertexProgram,
|  | GLSLESProgram * | fragmentProgram
| ) |  |

Constructor should only be used by GLSLESLinkProgramManager.

## ◆ ~GLSLESLinkProgram()

virtual Ogre::GLSLESLinkProgram::~GLSLESLinkProgram | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ activate()

void Ogre::GLSLESLinkProgram::activate | ( | void |  | ) |

Makes a program object active by making sure it is linked and then putting it in use.

## ◆ updateUniforms()

virtual void Ogre::GLSLESLinkProgram::updateUniforms | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType
| ) |  |
| virtual

Updates program object uniforms using data from GpuProgramParameters.

normally called by GLSLESGpuProgram::bindParameters() just before rendering occurs.

## ◆ updateUniformBlocks()

virtual void Ogre::GLSLESLinkProgram::updateUniformBlocks | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType
| ) |  |
| virtual

Updates program object uniform blocks using data from GpuProgramParameters.

normally called by GLSLGpuProgram::bindParameters() just before rendering occurs.

## ◆ updatePassIterationUniforms()

virtual void Ogre::GLSLESLinkProgram::updatePassIterationUniforms | ( | GpuProgramParametersSharedPtr | params | ) |
| virtual

Updates program object uniforms using data from pass iteration GpuProgramParameters.

normally called by GLSLESGpuProgram::bindMultiPassParameters() just before multi pass rendering occurs.

## ◆ bindFixedAttributes()

void Ogre::GLSLESProgramCommon::bindFixedAttributes | ( | GLuint | program | ) |
| inherited

## ◆ getVertexProgram()

GLSLESProgram* Ogre::GLSLESProgramCommon::getVertexProgram | ( | void |  | ) | const
| inline inherited

## ◆ getFragmentProgram()

GLSLESProgram* Ogre::GLSLESProgramCommon::getFragmentProgram | ( | void |  | ) | const
| inline inherited

The documentation for this class was generated from the following file:

- OgreGLSLESLinkProgram.h